# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.77.2"
name = "librsvg"
version = "2.59.1"
authors = [
    "Federico Mena Quintero <federico@gnome.org>",
    "Many others",
]
build = "build.rs"
exclude = [
    "tests/fixtures",
    "tests/resources",
]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
A library to render SVG images to Cairo surfaces. GNOME uses this to
render SVG icons. Outside of GNOME, other desktop environments use it
for similar purposes. Wikimedia uses it for Wikipedia's SVG diagrams.
"""
homepage = "https://wiki.gnome.org/Projects/LibRsvg"
documentation = "https://gnome.pages.gitlab.gnome.org/librsvg/doc/rsvg/index.html"
readme = "README.md"
license = "LGPL-2.1-or-later"
repository = "https://gitlab.gnome.org/GNOME/librsvg/"

[package.metadata.docs.rs]
rustc-args = [
    "--cfg",
    "docsrs",
]
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[package.metadata.system-deps]
cairo = "1.18"
cairo-gobject = "1.18"
cairo-png = "1.18"
freetype2 = "20.0.14"
harfbuzz = "2.0"
pangocairo = "1.50"

[package.metadata.system-deps.cairo-pdf]
optional = true
version = "1.18"

[package.metadata.system-deps.cairo-ps]
optional = true
version = "1.18"

[package.metadata.system-deps.cairo-svg]
optional = true
version = "1.18"

[package.metadata.system-deps.'cfg(all(not(target_os = "macos"), not(target_os = "windows")))'.fontconfig]
version = "1.7"

[package.metadata.system-deps.'cfg(all(not(target_os = "macos"), not(target_os = "windows")))'.pangoft2]
version = "1.50"

[package.metadata.system-deps.'cfg(any(target_os = "macos", target_os = "windows"))'.fontconfig]
optional = true
version = "1.7"

[package.metadata.system-deps.'cfg(any(target_os = "macos", target_os = "windows"))'.pangoft2]
optional = true
version = "1.50"

[package.metadata.system-deps.gio]
name = "gio-2.0"
version = "2.24"

[package.metadata.system-deps.glib]
name = "glib-2.0"
version = "2.50"

[package.metadata.system-deps.libxml2]
fallback-names = ["libxml2"]
name = "libxml-2.0"
version = "2.9"

[lib]
name = "rsvg"
path = "src/lib.rs"

[[test]]
name = "api"
path = "tests/api.rs"

[[test]]
name = "bugs"
path = "tests/bugs.rs"

[[test]]
name = "errors"
path = "tests/errors.rs"

[[test]]
name = "filters"
path = "tests/filters.rs"

[[test]]
name = "geometries"
path = "tests/geometries.rs"

[[test]]
name = "intrinsic_dimensions"
path = "tests/intrinsic_dimensions.rs"

[[test]]
name = "loading_crash"
path = "tests/loading_crash.rs"

[[test]]
name = "loading_disallowed"
path = "tests/loading_disallowed.rs"

[[test]]
name = "primitive_geometries"
path = "tests/primitive_geometries.rs"

[[test]]
name = "primitives"
path = "tests/primitives.rs"

[[test]]
name = "reference"
path = "tests/reference.rs"

[[test]]
name = "render_crash"
path = "tests/render_crash.rs"

[[test]]
name = "shapes"
path = "tests/shapes.rs"

[[test]]
name = "text"
path = "tests/text.rs"

[[bench]]
name = "box_blur"
path = "benches/box_blur.rs"
harness = false

[[bench]]
name = "composite"
path = "benches/composite.rs"
harness = false

[[bench]]
name = "lighting"
path = "benches/lighting.rs"
harness = false

[[bench]]
name = "path_parser"
path = "benches/path_parser.rs"
harness = false

[[bench]]
name = "pixel_iterators"
path = "benches/pixel_iterators.rs"
harness = false

[[bench]]
name = "pixel_ops"
path = "benches/pixel_ops.rs"
harness = false

[[bench]]
name = "srgb"
path = "benches/srgb.rs"
harness = false

[dependencies.cairo-rs]
version = "0.20"
features = [
    "v1_16",
    "png",
    "pdf",
    "ps",
    "svg",
]

[dependencies.cast]
version = "0.3.0"

[dependencies.cssparser]
version = "~0.31"

[dependencies.data-url]
version = "0.3.0"

[dependencies.encoding_rs]
version = "0.8.32"

[dependencies.float-cmp]
version = "0.9.0"

[dependencies.gio]
version = "0.20"

[dependencies.glib]
version = "0.20"

[dependencies.image]
version = "0.25.0"
features = [
    "jpeg",
    "png",
    "gif",
    "webp",
]
default-features = false

[dependencies.itertools]
version = "0.13.0"

[dependencies.language-tags]
version = "0.3.1"

[dependencies.libc]
version = "0.2"

[dependencies.locale_config]
version = "0.3.0"

[dependencies.markup5ever]
version = "0.12.0"

[dependencies.nalgebra]
version = "0.33.0"

[dependencies.num-traits]
version = "0.2"

[dependencies.pango]
version = "0.20"
features = ["v1_46"]

[dependencies.pangocairo]
version = "0.20"

[dependencies.rayon]
version = "1"

[dependencies.rctree]
version = "0.6.0"

[dependencies.regex]
version = "1.7.1"

[dependencies.rgb]
version = "0.8"
features = ["argb"]

[dependencies.selectors]
version = "0.25.0"

[dependencies.string_cache]
version = "0.8.0"

[dependencies.tinyvec]
version = "1.2.0"
features = [
    "alloc",
    "rustc_1_55",
]

[dependencies.url]
version = "2"

[dependencies.xml5ever]
version = "0.18.0"

[dev-dependencies.anyhow]
version = "1.0"

[dev-dependencies.chrono]
version = "0.4.23"
features = [
    "clock",
    "std",
]
default-features = false

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.lopdf]
version = "0.33"

[dev-dependencies.matches]
version = "0.1"

[dev-dependencies.png]
version = "0.17.2"

[dev-dependencies.predicates]
version = "3.0.3"

[dev-dependencies.proptest]
version = "1.0.0"

[dev-dependencies.quick-error]
version = "2.0.0"

[dev-dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1.0"

[dev-dependencies.tempfile]
version = "3"

[build-dependencies.system-deps]
version = "7.0.0"

[features]
avif = ["image/avif-native"]
capi = []
test-utils = ["yeslogic-fontconfig-sys"]

[target.'cfg(all(not(target_os = "macos"), not(target_os = "windows")))'.dependencies.yeslogic-fontconfig-sys]
version = "6.0.0"
optional = true

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    "cfg(system_deps_have_fontconfig)",
    "cfg(system_deps_have_pangoft2)",
]
